Package gov.nasa.gsfc.sscweb.schema

# Class LocationRequest

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request
gov.nasa.gsfc.sscweb.schema.LocationRequest

Direct Known Subclasses:
  `DataRequest`, `GraphRequest`, `KmlRequest`

public class LocationRequest extends Request
SSC query request type. <p>Java class for LocationRequest complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LocationRequest"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Request"> <sequence> <element name="Satellites" type="{http://sscweb.gsfc.nasa.gov/schema}SatelliteSpecification" maxOccurs="unbounded"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<SatelliteSpecification>`
  `satellites`
  Requested satellites.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `bFieldModel, description, timeInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SatelliteSpecification>`
  `getSatellites()`
  Requested satellites.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `getBFieldModel, getDescription, getTimeInterval, setBFieldModel, setDescription, setTimeInterval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### satellites

    protected List<SatelliteSpecification> satellites
    Requested satellites.

- ## Constructor Details

  - ### LocationRequest

    public LocationRequest()

- ## Method Details

  - ### getSatellites

    public List<SatelliteSpecification> getSatellites()
    Requested satellites. Gets the value of the satellites property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the satellites property.

    For example, to add a new item, do as follows:

         getSatellites().add(newItem);

    Objects of the following type(s) are allowed in the list `SatelliteSpecification`

    Returns:
      The value of the satellites property.